Gentoo Archives: gentoo-commits

From: "Mike Gilbert (floppym)" <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in www-client/chromium: ChangeLog chromium-14.0.835.122.ebuild chromium-14.0.835.94.ebuild
Date: Wed, 31 Aug 2011 03:33:48
Message-Id: 20110831033336.7B79C20035@flycatcher.gentoo.org
1 floppym 11/08/31 03:33:36
2
3 Modified: ChangeLog
4 Added: chromium-14.0.835.122.ebuild
5 Removed: chromium-14.0.835.94.ebuild
6 Log:
7 Version bump for beta channel release. Remove old.
8
9 (Portage version: 2.2.0_alpha51/cvs/Linux x86_64)
10
11 Revision Changes Path
12 1.426 www-client/chromium/ChangeLog
13
14 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.426&view=markup
15 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.426&content-type=text/plain
16 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.425&r2=1.426
17
18 Index: ChangeLog
19 ===================================================================
20 RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
21 retrieving revision 1.425
22 retrieving revision 1.426
23 diff -u -r1.425 -r1.426
24 --- ChangeLog 30 Aug 2011 23:41:44 -0000 1.425
25 +++ ChangeLog 31 Aug 2011 03:33:36 -0000 1.426
26 @@ -1,6 +1,12 @@
27 # ChangeLog for www-client/chromium
28 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
29 -# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.425 2011/08/30 23:41:44 floppym Exp $
30 +# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.426 2011/08/31 03:33:36 floppym Exp $
31 +
32 +*chromium-14.0.835.122 (31 Aug 2011)
33 +
34 + 31 Aug 2011; Mike Gilbert <floppym@g.o> -chromium-14.0.835.94.ebuild,
35 + +chromium-14.0.835.122.ebuild:
36 + Version bump for beta channel release. Remove old.
37
38 30 Aug 2011; Mike Gilbert <floppym@g.o> chromium-9999-r1.ebuild:
39 Add workaround for bug 380801
40
41
42
43 1.1 www-client/chromium/chromium-14.0.835.122.ebuild
44
45 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.835.122.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.835.122.ebuild?rev=1.1&content-type=text/plain
47
48 Index: chromium-14.0.835.122.ebuild
49 ===================================================================
50 # Copyright 1999-2011 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.122.ebuild,v 1.1 2011/08/31 03:33:36 floppym Exp $
53
54 EAPI="3"
55 PYTHON_DEPEND="2:2.6"
56
57 inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
58 pax-utils portability python toolchain-funcs versionator virtualx
59
60 DESCRIPTION="Open-source version of Google Chrome web browser"
61 HOMEPAGE="http://chromium.org/"
62 SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
63
64 LICENSE="BSD"
65 SLOT="0"
66 KEYWORDS="~amd64 ~x86"
67 IUSE="cups gnome gnome-keyring kerberos"
68
69 # en_US is ommitted on purpose from the list below. It must always be available.
70 LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
71 hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
72 tr uk vi zh_CN zh_TW"
73 for lang in ${LANGS}; do
74 IUSE+=" linguas_${lang}"
75 done
76
77 RDEPEND="app-arch/bzip2
78 dev-libs/dbus-glib
79 >=dev-libs/icu-4.4.1
80 >=dev-libs/libevent-1.4.13
81 dev-libs/libxml2[icu]
82 dev-libs/libxslt
83 >=dev-libs/nss-3.12.3
84 gnome? ( >=gnome-base/gconf-2.24.0 )
85 gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
86 >=media-libs/alsa-lib-1.0.19
87 media-libs/flac
88 virtual/jpeg
89 media-libs/libpng
90 >=media-libs/libwebp-0.1.2
91 media-libs/speex
92 cups? (
93 dev-libs/libgcrypt
94 >=net-print/cups-1.3.11
95 )
96 sys-libs/zlib
97 x11-libs/gtk+:2
98 x11-libs/libXinerama
99 x11-libs/libXScrnSaver
100 x11-libs/libXtst"
101 DEPEND="${RDEPEND}
102 dev-lang/perl
103 >=dev-util/gperf-3.0.3
104 >=dev-util/pkgconfig-0.23
105 >=sys-devel/bison-2.4.3
106 sys-devel/flex
107 >=sys-devel/make-3.81-r2
108 test? (
109 dev-python/pyftpdlib
110 dev-python/simplejson
111 virtual/krb5
112 )"
113 RDEPEND+="
114 kerberos? ( virtual/krb5 )
115 x11-misc/xdg-utils
116 virtual/ttf-fonts"
117
118 gyp_use() {
119 if [[ $# -lt 2 ]]; then
120 echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
121 return 1
122 fi
123 if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
124 }
125
126 egyp() {
127 set -- build/gyp_chromium --depth=. "${@}"
128 echo "${@}" >&2
129 "${@}"
130 }
131
132 # Chromium uses different names for some langs,
133 # return Chromium name corresponding to a Gentoo lang.
134 chromium_lang() {
135 if [[ "$1" == "es_LA" ]]; then
136 echo "es_419"
137 else
138 echo "$1"
139 fi
140 }
141
142 pkg_setup() {
143 CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
144
145 # Make sure the build system will use the right tools, bug #340795.
146 tc-export AR CC CXX RANLIB
147
148 # Make sure the build system will use the right python, bug #344367.
149 python_set_active_version 2
150 python_pkg_setup
151
152 # Prevent user problems like bug #348235.
153 eshopts_push -s extglob
154 if is-flagq '-g?(gdb)?([1-9])'; then
155 ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
156 ewarn "You may experience really long compilation times and/or increased memory usage."
157 ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
158 fi
159 eshopts_pop
160
161 # Warn if the kernel doesn't support features useful for sandboxing,
162 # bug #363907.
163 CONFIG_CHECK="~PID_NS ~NET_NS"
164 check_extra_config
165 }
166
167 src_prepare() {
168 # bug #374903 - ICU 4.8 compatibility
169 epatch "${FILESDIR}/${PN}-icu-compatibility-r0.patch"
170
171 # Fix build with system libevent, to be upstreamed.
172 epatch "${FILESDIR}/${PN}-system-libevent-r0.patch"
173
174 # Remove most bundled libraries. Some are still needed.
175 find third_party -type f \! -iname '*.gyp*' \
176 \! -path 'third_party/WebKit/*' \
177 \! -path 'third_party/angle/*' \
178 \! -path 'third_party/cacheinvalidation/*' \
179 \! -path 'third_party/cld/*' \
180 \! -path 'third_party/expat/*' \
181 \! -path 'third_party/ffmpeg/*' \
182 \! -path 'third_party/flac/flac.h' \
183 \! -path 'third_party/gpsd/*' \
184 \! -path 'third_party/harfbuzz/*' \
185 \! -path 'third_party/hunspell/*' \
186 \! -path 'third_party/iccjpeg/*' \
187 \! -path 'third_party/launchpad_translations/*' \
188 \! -path 'third_party/leveldb/*' \
189 \! -path 'third_party/libjingle/*' \
190 \! -path 'third_party/libphonenumber/*' \
191 \! -path 'third_party/libvpx/*' \
192 \! -path 'third_party/mesa/*' \
193 \! -path 'third_party/modp_b64/*' \
194 \! -path 'third_party/npapi/*' \
195 \! -path 'third_party/openmax/*' \
196 \! -path 'third_party/ots/*' \
197 \! -path 'third_party/protobuf/*' \
198 \! -path 'third_party/sfntly/*' \
199 \! -path 'third_party/skia/*' \
200 \! -path 'third_party/speex/speex.h' \
201 \! -path 'third_party/sqlite/*' \
202 \! -path 'third_party/tcmalloc/*' \
203 \! -path 'third_party/tlslite/*' \
204 \! -path 'third_party/undoview/*' \
205 \! -path 'third_party/webgl_conformance/*' \
206 \! -path 'third_party/webrtc/*' \
207 \! -path 'third_party/yasm/*' \
208 \! -path 'third_party/zlib/contrib/minizip/*' \
209 -delete || die
210
211 # Make sure the build system will use the right python, bug #344367.
212 # Only convert directories that need it, to save time.
213 python_convert_shebangs -q -r 2 build tools
214 }
215
216 src_configure() {
217 local myconf=""
218
219 # Never tell the build system to "enable" SSE2, it has a few unexpected
220 # additions, bug #336871.
221 myconf+=" -Ddisable_sse2=1"
222
223 # Disable NaCl temporarily, this tarball doesn't have IRT.
224 myconf+=" -Ddisable_nacl=1"
225
226 # Disable WebRTC until they make PulseAudio dependency optional,
227 # bug #377847.
228 myconf+=" -Denable_webrtc=0"
229
230 # Use system-provided libraries.
231 # TODO: use_system_ffmpeg
232 # TODO: use_system_hunspell (upstream changes needed).
233 # TODO: use_system_ssl (http://crbug.com/58087).
234 # TODO: use_system_sqlite (http://crbug.com/22208).
235 # TODO: use_system_vpx
236 myconf+="
237 -Duse_system_bzip2=1
238 -Duse_system_flac=1
239 -Duse_system_icu=1
240 -Duse_system_libevent=1
241 -Duse_system_libjpeg=1
242 -Duse_system_libpng=1
243 -Duse_system_libwebp=1
244 -Duse_system_libxml=1
245 -Duse_system_speex=1
246 -Duse_system_xdg_utils=1
247 -Duse_system_zlib=1"
248
249 # Optional dependencies.
250 myconf+="
251 $(gyp_use cups use_cups)
252 $(gyp_use gnome use_gconf)
253 $(gyp_use gnome-keyring use_gnome_keyring)
254 $(gyp_use gnome-keyring linux_link_gnome_keyring)"
255
256 # Enable sandbox.
257 myconf+="
258 -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
259 -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
260
261 if host-is-pax; then
262 # Prevent the build from failing (bug #301880). The performance
263 # difference is very small.
264 myconf+=" -Dv8_use_snapshot=0"
265 fi
266
267 # Our system ffmpeg should support more codecs than the bundled one
268 # for Chromium.
269 # myconf+=" -Dproprietary_codecs=1"
270
271 local myarch="$(tc-arch)"
272 if [[ $myarch = amd64 ]] ; then
273 myconf+=" -Dtarget_arch=x64"
274 elif [[ $myarch = x86 ]] ; then
275 myconf+=" -Dtarget_arch=ia32"
276 elif [[ $myarch = arm ]] ; then
277 # TODO: check this again after
278 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
279 append-flags -fno-tree-sink
280
281 myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
282 else
283 die "Failed to determine target arch, got '$myarch'."
284 fi
285
286 # Make sure that -Werror doesn't get added to CFLAGS by the build system.
287 # Depending on GCC version the warnings are different and we don't want
288 # the build to fail because of that.
289 myconf+=" -Dwerror="
290
291 # Avoid a build error with -Os, bug #352457.
292 replace-flags "-Os" "-O2"
293
294 egyp ${myconf} || die
295 }
296
297 src_compile() {
298 emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
299 pax-mark m out/Release/chrome
300 if use test; then
301 emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
302 pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
303 fi
304 }
305
306 src_test() {
307 # For more info see bug #350349.
308 local mylocale='en_US.utf8'
309 if ! locale -a | grep -q "$mylocale"; then
310 eerror "${PN} requires ${mylocale} locale for tests"
311 eerror "Please read the following guides for more information:"
312 eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
313 eerror " http://www.gentoo.org/doc/en/utf-8.xml"
314 die "locale ${mylocale} is not supported"
315 fi
316
317 # For more info see bug #370957.
318 if [[ $UID -eq 0 ]]; then
319 die "Tests must be run as non-root. Please use FEATURES=userpriv."
320 fi
321
322 # For more info see bug #350347.
323 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
324 '--gtest_filter=-ICUStringConversionsTest.*'
325
326 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
327 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
328
329 # NetUtilTest: bug #361885.
330 # UDP: unstable, active development. We should revisit this later.
331 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
332 '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
333 }
334
335 src_install() {
336 exeinto "${CHROMIUM_HOME}"
337 doexe out/Release/chrome
338 doexe out/Release/chrome_sandbox || die
339 fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
340
341 # Install Native Client files on platforms that support it.
342 # insinto "${CHROMIUM_HOME}"
343 # case "$(tc-arch)" in
344 # amd64)
345 # doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
346 # doins out/Release/libppGoogleNaClPluginChrome.so || die
347 # ;;
348 # x86)
349 # doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
350 # doins out/Release/libppGoogleNaClPluginChrome.so || die
351 # ;;
352 # esac
353
354 newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
355
356 # It is important that we name the target "chromium-browser",
357 # xdg-utils expect it; bug #355517.
358 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
359 # keep the old symlink around for consistency
360 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
361
362 # Allow users to override command-line options, bug #357629.
363 dodir /etc/chromium || die
364 insinto /etc/chromium
365 newins "${FILESDIR}/chromium.default" "default" || die
366
367 # Support LINGUAS, bug #332751.
368 local pak
369 for pak in out/Release/locales/*.pak; do
370 local pakbasename="$(basename ${pak})"
371 local pakname="${pakbasename%.pak}"
372 local langname="${pakname//-/_}"
373
374 # Do not issue warning for en_US locale. This is the fallback
375 # locale so it should always be installed.
376 if [[ "${langname}" == "en_US" ]]; then
377 continue
378 fi
379
380 local found=false
381 local lang
382 for lang in ${LANGS}; do
383 local crlang="$(chromium_lang ${lang})"
384 if [[ "${langname}" == "${crlang}" ]]; then
385 found=true
386 break
387 fi
388 done
389 if ! $found; then
390 ewarn "LINGUAS warning: no ${langname} in LANGS"
391 fi
392 done
393 local lang
394 for lang in ${LANGS}; do
395 local crlang="$(chromium_lang ${lang})"
396 local pakfile="out/Release/locales/${crlang//_/-}.pak"
397 if [ ! -f "${pakfile}" ]; then
398 ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
399 fi
400 if ! use linguas_${lang}; then
401 rm "${pakfile}" || die
402 fi
403 done
404
405 insinto "${CHROMIUM_HOME}"
406 doins out/Release/chrome.pak || die
407 doins out/Release/resources.pak || die
408
409 doins -r out/Release/locales || die
410 doins -r out/Release/resources || die
411
412 newman out/Release/chrome.1 chromium.1 || die
413 newman out/Release/chrome.1 chromium-browser.1 || die
414
415 # Chromium looks for these in its folder
416 # See media_posix.cc and base_paths_linux.cc
417 # dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
418 # dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
419 # dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
420 doexe out/Release/ffmpegsumo_nolink || die
421 doexe out/Release/libffmpegsumo.so || die
422
423 # Install icons and desktop entry.
424 for SIZE in 16 22 24 32 48 64 128 256 ; do
425 insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
426 newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
427 chromium-browser.png || die
428 done
429 local mime_types="text/html;text/xml;application/xhtml+xml;"
430 mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
431 make_desktop_entry chromium-browser "Chromium" chromium-browser \
432 "Network;WebBrowser" \
433 "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
434 sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
435
436 # Install GNOME default application entry (bug #303100).
437 if use gnome; then
438 dodir /usr/share/gnome-control-center/default-apps || die
439 insinto /usr/share/gnome-control-center/default-apps
440 doins "${FILESDIR}"/chromium-browser.xml || die
441 fi
442 }
443
444 pkg_preinst() {
445 gnome2_icon_savelist
446 }
447
448 pkg_postinst() {
449 fdo-mime_desktop_database_update
450 gnome2_icon_cache_update
451
452 # For more info see bug #292201, bug #352263, bug #361859.
453 elog
454 elog "Depending on your desktop environment, you may need"
455 elog "to install additional packages to get icons on the Downloads page."
456 elog
457 elog "For KDE, the required package is kde-base/oxygen-icons."
458 elog
459 elog "For other desktop environments, try one of the following:"
460 elog " - x11-themes/gnome-icon-theme"
461 elog " - x11-themes/tango-icon-theme"
462
463 # For more info see bug #359153.
464 elog
465 elog "Some web pages may require additional fonts to display properly."
466 elog "Try installing some of the following packages if some characters"
467 elog "are not displayed properly:"
468 elog " - media-fonts/arphicfonts"
469 elog " - media-fonts/bitstream-cyberbit"
470 elog " - media-fonts/droid"
471 elog " - media-fonts/ipamonafont"
472 elog " - media-fonts/ja-ipafonts"
473 elog " - media-fonts/takao-fonts"
474 elog " - media-fonts/wqy-microhei"
475 elog " - media-fonts/wqy-zenhei"
476 }
477
478 pkg_postrm() {
479 gnome2_icon_cache_update
480 }